/************************************************************************
 This Gauss program creates data with month counts
************************************************************************/

output file = junk reset;

#include readdatb;  @ reads in data  @
capt = 919;
load monthdum[919,1] = monthdat.csv;

monthstart = zeros(capt,1);  @ contains number of weeks prior to t to get to previous month @
monthend = zeros(capt,1);   @ contains number of weeks after t to get to next month @
it = 1;
do until it > capt;
	monthstartcount = 1;
	monthendcount = 1;
	if monthdum[it,1] == 1;
		monthstart[it,1] = 1;
	else;
		do until monthstartcount > 5;
			if (it - monthstartcount) > 0;
				if monthdum[it-monthstartcount,1] == 1;
					monthstart[it,1] = monthstartcount+1;
					monthstartcount = 6;
				endif;
			else;
				monthstart[it,1] = it - 1;
				monthstartcount = 6;
			endif;
		monthstartcount = monthstartcount+1;
		endo;
	endif;
	do until monthendcount > 5;
		if (it + monthendcount) < (capt + 1);
			if monthdum[it+monthendcount,1] == 1;
				monthend[it,1] = monthendcount;
				monthendcount = 6;
			endif;
		else;
			monthend[it,1] = capt - it;
			monthendcount = 6;
		endif;
	monthendcount = monthendcount+1;
	endo;
it = it+1;
endo;

monthstart[1,1] = 0;
monthstart~monthend;
